<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.nc.entity.NcInterface">
	<resultMap id="get-entity-result" type="com.hzya.frame.nc.entity.NcInterface">
        <!--主键 -->
        <result property="id" column="id" />
	</resultMap>

	<sql id="Sysproduct_Base_Column_List">
		ID as id,
		code as code,
		name as name,
		classify as classify,
		description as description,
		production_company as production_company,
		picture_path as picture_path,
		sys_type as sys_type,
		sorts as sorts,
		org_id as org_id,
		sts as sts,
		create_user_id as create_user_id,
		create_time as create_time,
		modify_time as modify_time,
		modify_user_id as modify_user_id
	</sql>

	<!-- 修改 -->
	<update id="test_update_user" parameterType="com.hzya.frame.nc.entity.NcInterface">
		 update sys_user SET view_name = '超级管理员221' WHERE login_name = 'admin'
	</update>
</mapper>
